/**
 * 
 */
package org.gcube.accounting.datamodel.implementations;

import org.gcube.accounting.datamodel.RawUsageRecord;
import org.gcube.common.validator.annotations.NotEmpty;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class JobUsageRecord extends RawUsageRecord {

	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = -8648691183939346858L;
	
	@NotEmpty
	public static final String JOB_ID = "jobId";
	@NotEmpty
	public static final String JOB_QUALIFIER = "jobQualifier";
	@NotEmpty
	public static final String JOB_NAME = "jobName";
	@NotEmpty
	public static final String JOB_START = "jobStart";
	@NotEmpty
	public static final String JOB_END = "jobEnd";
	@NotEmpty
	public static final String JOB_STATUS = "jobStatus";
	@NotEmpty
	public static final String VMS_USED = "vmsUsed";
	@NotEmpty
	public static final String WALL_DURATION = "wallDuration";
	
	public JobUsageRecord(){
		super();
	}
	
}
